Bug 15395 - RFE: Clock applet should honor locale AMPM/24h setting
RFE: Clock applet should honor locale AMPM/24h setting
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: gnome-applets (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-04 10:52 EDT by Christian Rose
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-05 18:48:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Rose 2000-08-04 10:52:55 EDT
As far as I know, it's only the US that uses AM/PM-clock as a standard
nowadays.

I think the default clock applet on the panel should default to 24h-clock
format, as it is probably what most users want.

At the very least, it should honor the locale settings in that aspect
(LC_TIME), that has a setting for AM/PM use.
Comment 1 David Mason 2000-08-04 11:08:15 EDT
hp - maybe we should communicate this concern to our overseas offices -
obviously most of our shipments are going to US customers
Comment 2 Christian Rose 2000-08-04 11:17:51 EDT
If the US market is the most important, don't change the default then - but
_please_ patch the clock applet so that it honors the locale AM/PM setting, so
that foreign customers, with the correct locale settings, won't get US-ified
AM/PM clocks on their otherwise localized default desktops.
Comment 3 Havoc Pennington 2001-07-05 23:40:12 EDT
Sent upstream as http://bugzilla.gnome.org/show_bug.cgi?id=57153, 
closing on RH level

Note You need to log in before you can comment on or make changes to this bug.